// graffities.h

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <fcntl.h>
#include <getopt.h>
#include <sys/ioctl.h>
#include <SDL/SDL.h>

char prog[] = PROG;
char program[] = PROGRAM;
char version[] = VERSION;

#ifndef graffities_h
#define graffities_h

struct SDL_Screen
{
  int width,height,size,depth,sdl_flags;
  SDL_Surface *display;
  Uint8 *pixelbuf;
  SDL_Rect rect;
};

struct VideoPaint
{
  struct SDL_Screen screen;
  int old_x, old_y, mouse_x, mouse_y, mouse_button;
  int brush, brushsize, brushscale;
  int bluronly, palette;
  int gadgets, gadgetsize, draw_gadgets;

  int mousedown;
};
#endif
